Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class AuthorityKeyIdentifier

    java.lang.Object
      |
      +--org.bouncycastle.asn1.x509.AuthorityKeyIdentifier

All Implemented Interfaces:
  DEREncodable, DERTags

public class AuthorityKeyIdentifier
extends java.lang.Object
implements DEREncodable, DERTags

     id-ce-authorityKeyIdentifier OBJECT IDENTIFIER ::=  { id-ce 35 }

       AuthorityKeyIdentifier ::= SEQUENCE {
          keyIdentifier             [0] IMPLICIT KeyIdentifier           OPTIONAL,
          authorityCertIssuer       [1] IMPLICIT GeneralNames            OPTIONAL,
          authorityCertSerialNumber [2] IMPLICIT CertificateSerialNumber OPTIONAL  }

       KeyIdentifier ::= OCTET STRING

Fields inherited from interface org.bouncycastle.asn1.DERTags
`BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`AuthorityKeyIdentifier(ASN1Sequence seq)`
`AuthorityKeyIdentifier(SubjectPublicKeyInfo spki)` Calulates the keyidentifier using a SHA1 hash over the BIT STRING from SubjectPublicKeyInfo as defined in RFC2459.
`AuthorityKeyIdentifier(SubjectPublicKeyInfo spki, GeneralNames name, java.math.BigInteger serialNumber)` create an AuthorityKeyIdentifier with the GeneralNames tag and the serial number provided as well.

Method Summary
`DERObject` | `getDERObject()` AuthorityKeyIdentifier ::= SEQUENCE { keyIdentifier [0] IMPLICIT KeyIdentifier OPTIONAL, authorityCertIssuer [1] IMPLICIT GeneralNames OPTIONAL, authorityCertSerialNumber [2] IMPLICIT CertificateSerialNumber OPTIONAL } KeyIdentifier ::= OCTET STRING
`static AuthorityKeyIdentifier` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static AuthorityKeyIdentifier` | `getInstance(java.lang.Object obj)`
`byte[]` | `getKeyIdentifier()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorityKeyIdentifier

    public AuthorityKeyIdentifier(ASN1Sequence seq)

### AuthorityKeyIdentifier

    public AuthorityKeyIdentifier(SubjectPublicKeyInfo spki)

  Calulates the keyidentifier using a SHA1 hash over the BIT STRING from SubjectPublicKeyInfo as defined in RFC2459. Example of making a AuthorityKeyIdentifier:

         SubjectPublicKeyInfo apki = new SubjectPublicKeyInfo((ASN1Sequence)new DERInputStream(
             new ByteArrayInputStream(publicKey.getEncoded())).readObject());
         AuthorityKeyIdentifier aki = new AuthorityKeyIdentifier(apki);

### AuthorityKeyIdentifier

    public AuthorityKeyIdentifier(SubjectPublicKeyInfo spki,
                                  GeneralNames name,
                                  java.math.BigInteger serialNumber)

  create an AuthorityKeyIdentifier with the GeneralNames tag and the serial number provided as well.

Method Detail

### getInstance

    public static AuthorityKeyIdentifier getInstance(ASN1TaggedObject obj,
                                                     boolean explicit)

### getInstance

    public static AuthorityKeyIdentifier getInstance(java.lang.Object obj)

### getKeyIdentifier

    public byte[] getKeyIdentifier()

### getDERObject

    public DERObject getDERObject()

         AuthorityKeyIdentifier ::= SEQUENCE {
            keyIdentifier             [0] IMPLICIT KeyIdentifier           OPTIONAL,
            authorityCertIssuer       [1] IMPLICIT GeneralNames            OPTIONAL,
            authorityCertSerialNumber [2] IMPLICIT CertificateSerialNumber OPTIONAL  }

         KeyIdentifier ::= OCTET STRING

  Specified by:
    `getDERObject` in interface `DEREncodable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD